<?php
/**
 * Strings utilities.
 *
 * @package Flat101\Security\Util
 */

namespace Flat101\Security\Util;

/**
 * Useful class to work with strings.
 */
class StringUtil {

	/**
	 * Checks if $haystack ends with a given substring $needle.
	 *
	 * @param string $haystack The string to search in.
	 * @param string $needle The substring to search for in the haystack.
	 * @return bool
	 */
	public static function ends_with( $haystack, $needle ) {
		$needle_len = strlen( $needle );
		return ( 0 === $needle_len || 0 === substr_compare( $haystack, $needle, - $needle_len ) );
	}
}
